
export class MournbladeConfig {

  static  getConfig() {
    let MOURNBLADE_CONFIG = {

      attaques: {
        assaut: game.i18n.localize("MNBL.assaut"),
        precise: game.i18n.localize("MNBL.preciseattack"),
        feinte: game.i18n.localize("MNBL.feint"),
        coupbas: game.i18n.localize("MNBL.dirtyattack"),
        charger: game.i18n.localize("MNBL.charge"),
        contenir: game.i18n.localize("MNBL.contain"),
        desarmer: game.i18n.localize("MNBL.disarm")
      },
      couverts: {
        aucun: { name: game.i18n.localize("MNBL.none"), value: 0 },
        rondache: { name: game.i18n.localize("MNBL.lightcover"), value: -2 },
        pavois: { name: game.i18n.localize("MNBL.mediumcover"), value: -5 },
        complet: { name: game.i18n.localize("MNBL.heavycover"), value: -10 },
      },
      modifierTypes: {
        aucun: { name: game.i18n.localize("MNBL.none"), value: 0 },
        roll: { name: game.i18n.localize("MNBL.roll"), value: 0 },
        degats: { name: game.i18n.localize("MNBL.damage"), value: 0 },
        defense: { name: game.i18n.localize("MNBL.defensecapacity"), value: 0 },
        attaque: { name: game.i18n.localize("MNBL.attackcapacity"), value: 0 },
      },
      listeNiveau: {
      },
      listeNiveauCreature: {
      },
      listePortees: {
        "10": game.i18n.localize("MNBL.lessthanshort"),
        "15": game.i18n.localize("MNBL.shortmore"),
        "20": game.i18n.localize("MNBL.mediummore"),
        "25": game.i18n.localize("MNBL.longmore")
      },
      modificateurOptions: {},
      pointsAmeOptions: {},
      difficulteOptions: {
        "0": game.i18n.localize("MNBL.noneunknwon"),
        "5": game.i18n.localize("MNBL.easy"),
        "10": game.i18n.localize("MNBL.medium"),
        "15": game.i18n.localize("MNBL.hard"),
        "20": game.i18n.localize("MNBL.hazardous"),
        "25": game.i18n.localize("MNBL.insane"),
        "30": game.i18n.localize("MNBL.puremadness")
      },
      attributs: {
        adr: game.i18n.localize("Adresse"), pui: game.i18n.localize("Puissance"),
        cla: game.i18n.localize("Clairvoyance"), pre: game.i18n.localize("Présence"), tre: game.i18n.localize("Trempe")
      },
      lancementRuneOptions: {
        prononcer: game.i18n.localize("MNBL.pronouncerune"),
        inscrire: game.i18n.localize("MNBL.tracerune")
      },
      effetRuneOptions: {
        prononcee: game.i18n.localize("MNBL.pronounced"),
        inscrite: game.i18n.localize("MNBL.traced")
      },
      typeArmeOptions: {
        contact: game.i18n.localize("MNBL.meleeweapon"),
        contactjet: game.i18n.localize("MNBL.meleethrowweapon"),
        jet: game.i18n.localize("MNBL.throwweapon"),
        tir: game.i18n.localize("MNBL.shootweapon"),
        special: game.i18n.localize("MNBL.specialweapon")
      },
      allegeanceOptions: {
        tous: game.i18n.localize("MNBL.all"),
        chaos: game.i18n.localize("MNBL.chaos"),
        loi: game.i18n.localize("MNBL.law"),
        betes: game.i18n.localize("MNBL.beastslords"),
        elementaires: game.i18n.localize("MNBL.elementslords")
      },
      potionFormeOptions: {
        liquide: game.i18n.localize("MNBL.potionLiquide"),
        onguent: game.i18n.localize("MNBL.potionOnguent"),
        cachets: game.i18n.localize("MNBL.potionCachets"),
        pilules: game.i18n.localize("MNBL.potionPilules"),
      },
      potionStatutOptions: {
        inconnue: game.i18n.localize("MNBL.potionInconnue"),
        efficace: game.i18n.localize("MNBL.potionEfficace"),
        heroique: game.i18n.localize("MNBL.potionHeroique"),
        inefficace: game.i18n.localize("MNBL.potionInnefficace"),
        poison: game.i18n.localize("MNBL.potionPoison"),
      },
      typeCapaciteOptions: {
        elue: game.i18n.localize("MNBL.typeCapaciteElue"),
        elementaire: game.i18n.localize("MNBL.typeCapaciteElementaire"),
        demoniaque: game.i18n.localize("MNBL.typeCapaciteDemoniaque"),
        automaton: game.i18n.localize("MNBL.typeCapaciteAutomaton"),
        creature: game.i18n.localize("MNBL.typeCapaciteCreature"),
        faiblessedemoniaque: game.i18n.localize("MNBL.typeCapaciteFaiblesseDemoniaque"),
      },
      creatureTypeOptions: {
        creature: game.i18n.localize("MNBL.creatureTypeCreature"),
        demon: game.i18n.localize("MNBL.creatureTypeDemon"),
        elementaire: game.i18n.localize("MNBL.creatureTypeElementaire"),
        automaton: game.i18n.localize("MNBL.creatureTypeAutomaton"),
      },
      demonTypeOptions: {
        "": game.i18n.localize("MNBL.demonTypeNone"),
        combat: game.i18n.localize("MNBL.demonTypeCombat"),
        desir: game.i18n.localize("MNBL.demonTypeDesir"),
        savoir: game.i18n.localize("MNBL.demonTypeSavoir"),
        protection: game.i18n.localize("MNBL.demonTypeProtection"),
        voyage: game.i18n.localize("MNBL.demonTypeVoyage"),
      },
      demonPuissanceOptions: {
        "": game.i18n.localize("MNBL.demonPuissanceNone"),
        mineur: game.i18n.localize("MNBL.demonPuissanceMineur"),
        median: game.i18n.localize("MNBL.demonPuissanceMedian"),
        majeur: game.i18n.localize("MNBL.demonPuissanceMajeur"),
      },
      elementTypeOptions: {
        air: game.i18n.localize("MNBL.elementTypeAir"),
        terre: game.i18n.localize("MNBL.elementTypeTerre"),
        feu: game.i18n.localize("MNBL.elementTypeFeu"),
        eau: game.i18n.localize("MNBL.elementTypeEau"),
      },
      automatonTypeOptions: {
        "": game.i18n.localize("MNBL.automatonTypeNone"),
        combat: game.i18n.localize("MNBL.automatonTypeCombat"),
        voyage: game.i18n.localize("MNBL.automatonTypeVoyage"),
        perception: game.i18n.localize("MNBL.automatonTypePerception"),
        restauration: game.i18n.localize("MNBL.automatonTypeRestauration"),
        reparateur: game.i18n.localize("MNBL.automatonTypeReparateur"),
      },
      automatonPuissanceOptions: {
        "": game.i18n.localize("MNBL.automatonPuissanceNone"),
        mineur: game.i18n.localize("MNBL.automatonPuissanceMineur"),
        median: game.i18n.localize("MNBL.automatonPuissanceMedian"),
        majeur: game.i18n.localize("MNBL.automatonPuissanceMajeur"),
      },
      automatonVoyageTypeOptions: {
        "": game.i18n.localize("MNBL.automatonVoyageTypeNone"),
        terrestre: game.i18n.localize("MNBL.automatonVoyageTypeTerrestre"),
        aquatique: game.i18n.localize("MNBL.automatonVoyageTypeAquatique"),
        aerien: game.i18n.localize("MNBL.automatonVoyageTypeAerien"),
        extradimensionnel: game.i18n.localize("MNBL.automatonVoyageTypeExtradimensionnel"),
      }
    }

    return MOURNBLADE_CONFIG;
  }

};